Bug 46187 - Can't Connect Simultaneously Connect through Different JDBC Drivers
Summary: Can't Connect Simultaneously Connect through Different JDBC Drivers
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Connectivity
  Show dependency treegraph
 
Reported: 2012-02-16 10:35 UTC by Ken Diederich
Modified: 2019-05-14 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Diederich 2012-02-16 10:35:00 UTC
I have defined two JDBC data sources, each connecting to a different database and employing a different JDBC driver.  From within a spreadsheet, I can connect to either of theses just fine but as soon as I connect to the second after first having connected to one of them (whether dragging in data, pulling into a pivot table, or even just defining the datasources), LibreOffice crashes.

Just made the transition to LibreOffice from OpenOffice where I had one of these datasources connecting through a Native MYSQL driver and the other via JDBC.  Neither platform, however, seems to be able to support two different, simultaneous JDBC connections.
Comment 1 Florian Reisinger 2012-02-25 10:25:40 UTC
I assign the bug to the BASE - pro.
@Lionel: If you do not want the bug, please change to "UNCONFIRMED"
Comment 2 Petr Mladek 2012-02-27 09:53:29 UTC
It sounds like a pretty complicated but or even a feature. It is more complex scenario that affects only limited group of users => it can't block the release => lovering the severity a bit.
Comment 3 Alex Thurgood 2012-07-21 10:45:59 UTC
From what I recall, Calc could never support more than one connection to a datasource (contrary to Access, I have been told, that this is possible). I think it might have been possible with Writer, if one used Sections to separate the datasource access, but personally, I've never tried it.


This would indeed be an enhancement request.

Alex
Comment 4 Alex Thurgood 2015-01-03 17:38:20 UTC Comment hidden (no-value)
Comment 5 QA Administrators 2016-01-17 20:02:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 6 QA Administrators 2019-05-14 02:56:02 UTC
Dear Ken Diederich,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug